
%global meadversion 3.0.9
%global namedversion 3.0.9.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package reactivex-rxjava}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.9.redhat-00001

Name:           %{?scl_prefix}reactivex-rxjava
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        RxJava is a Java VM implementation of Reactive Extensions
Group:          Development/Java

%if %with mead
Source100: rxjava-3.0.9.redhat-00001-project-sources.tar.gz
Source102: rxjava-3.0.9.redhat-00001-javadoc.jar
Source103: rxjava-3.0.9.redhat-00001.jar
Source104: rxjava-3.0.9.redhat-00001-sources.jar
Source105: rxjava-3.0.9.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/ReactiveX/RxJava
BuildArch:      noarch
BuildRoot:      %{_tmppath}/reactivex-rxjava-%{namedversion}-%{release}-root

%description
RxJava is a Java VM implementation of Reactive Extensions: a library for composing asynchronous and event-based programs by using observable sequences.

%if %with javadoc
%package javadoc
Summary:        Javadoc for reactivex-rxjava
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n rxjava-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/rxjava-%{namedversion}.jar %{buildroot}%{_javadir}/rxjava-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/rxjava-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/rxjava-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/rxjava-%{namedversion}-sources.jar %{buildroot}%{_javadir}/rxjava-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/reactivex-rxjava-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/reactivex-rxjava-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/reactivex-rxjava-%{namedversion} -x META-INF/\*
%{__ln_s} reactivex-rxjava-%{namedversion} %{buildroot}%{_javadocdir}/reactivex-rxjava
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.md CONTRIBUTING.md DESIGN.md
%{_javadir}/rxjava-%{namedversion}.jar
%{_javadir}/rxjava.jar
%if %with javadoc
%{_javadir}/rxjava-%{namedversion}-javadoc.jar
%{_javadir}/rxjava-javadoc.jar
%endif
%{_javadir}/rxjava-%{namedversion}-sources.jar
%{_javadir}/rxjava-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/reactivex-rxjava-%{namedversion}
%{_javadocdir}/reactivex-rxjava
%endif

%changelog
* Fri Mar 05 2021 Yong Yang <yyang@redhat.com> - 3.0.9-1.redhat_00001.1
- RPM wrapper build 3.0.9.redhat-00001

* Mon Jan 11 2021 Yong Yang <yyang@redhat.com> - 3.0.8-1.redhat_00001.1
- RPM wrapper build 3.0.8.redhat-00001

* Fri Oct 09 2020 Yong Yang <yyang@redhat.com> - 3.0.4-1.redhat_00002.1
-  3.0.4.redhat-00002

* Thu May 28 2020 Yong Yang <yyang@redhat.com> - 2.2.19-1.redhat_00001.1
- RPM wrapper build 2.2.19.redhat-00001

* Tue Nov 26 2019 Yong Yang <yyang@redhat.com> - 2.2.5-1.redhat_00001.1
- RPM wrapper build 2.2.5.redhat-00001

* Fri Nov 22 2019 Yong Yang <yyang@redhat.com> - 2.2.2-2.redhat_00001.1
- RPM wrapper build 2.2.5.redhat-00001

* Tue May 21 2019 Permaine Cheung <pcheung@redhat.com> - 2.2.2-1.redhat_00001.1
- 2.2.2.redhat_00001

* Wed Aug 15 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.1.16-1.redhat_00001.1
- upgrade to 2.1.16.redhat-00001

* Tue Aug 14 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.1.9-2.redhat_1.1
- upgrade to 2.1.9.redhat-1

* Wed Jun 06 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.1.9-1.redhat_1.1
- upgrade to 2.1.9.redhat-1

* Wed Jun 06 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.1.9-1.redhat_1.1
- upgrade to 2.1.9.redhat-1

* Tue Jun 05 2018 Yong Yang <yyang@redhat.com> - 1.3.5-1.redhat_1.1
- 1.3.5.redhat-001
